*
{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Inter Tight';
}

body
{
    max-width: 1440px;
    position: relative;
    margin: auto;
    background-color: white;
}


/* header section here */
header 
{
    display: flex;
    width: 100%;
    align-items: center;
    padding: 15px 100px;
    background-color: rgb(243, 234, 234);
    position: fixed;
    top: 0;
    z-index: 1;
}

header .logo
{
    flex: 25%;
}

header .logo img 
{
    width: 50px;
    height: 50px;
    border-radius: 50%;
}

header .logo img:hover 
{
    box-shadow: 1px 1px 15px gray;
    transition: 1.5s;
}

header nav 
{
    display: flex;
    flex: 75%;
    justify-content: space-evenly;
}

header nav a 
{
    text-decoration: none;
    font-size: 18px;
    text-transform: uppercase;
    padding: 10px 15px;
    letter-spacing: 1px;
    color: black;
    cursor: pointer;
}

header nav a:hover 
{
    background-color: rgb(239, 240, 240);
    box-shadow: 1px 1px 8px gray;
    transition: 1s;
    border-radius: 8px;
}

header .overlay
{
    display: none;
}

header .sm-bar
{
    display: none;
}

/* home section here */
section
{
    width: 100%;
    display: flex;
    justify-content: space-between;
    margin-top: 80px;
    padding: 100px;
    background-color: rgb(252, 234, 202);
}

section .text
{
    display: flex;
    flex-direction: column;
    align-items: center;
    color: black;
    padding-top: 100px;
}

section .text h1 
{
    text-transform: capitalize;
    font-size: 60px;
    height: 80px;
    line-height: 80px;
    opacity: 90%;
}

section .text h3 
{
    text-transform: capitalize;
    font-size: 30px;
    height: 60px;
    text-shadow: 1px -2px 1px white;
    line-height: 60px;
    animation: animate linear 3s infinite;
}

@keyframes animate 
    {
        0%{color: black;}
        25%{color: green;}
        50%{color: red;}
        100%{color: blue;}    
    }

section .text button 
{
    width: 130px;
    height: 40px;
    line-height: 30px;
    outline: none;
    background:none;
    color: black;
    text-align: center;
    border-radius: 2px;
    border: 1px solid black;
    text-transform: capitalize;
    font-size: 18px;
    margin-top: 15px;
}

section .text button:hover 
{
    box-shadow: 1px 1px 8px gray;
    transition: 1s;
}

section .image img
{
    width: 500px;
    height: 500px;
    border-radius: 50%;
}

/* about section here */
.about
{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 100px;
}

.about .cont1 h2 
{
    font-size: 40px;
    background-color: rgb(252, 234, 202);
    padding: 5px;
}

.about .cont2
{
    display: flex;
    width: 100%;
    padding: 40px 0;
    justify-content: space-between;
}

.about .cont2 .child1
{
    width: 750px;
}

.about .cont2 .child1 h3 
{
    font-size: 30px;
    position: relative;
    height: 70px;
}

.about .cont2 .child1 h3 b 
{
    font-size: 34px;
}

.about .cont2 .child1 h3::after
{
    content: "";
    width: 260px;
    height: 5px;
    position: absolute;
    top: 42px;
    left: 90px;
    background-color: rgb(252, 234, 202);
}

.about .cont2 .child1 p 
{
    font-size: 20px;
    line-height: 34px;
}

.about .cont2 .child2
{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 25px;
}

.about .cont2 .child2 h2 
{
    height: 100px;
    width: 100px;
    background-color:rgb(252, 234, 202);
    border-radius: 50%;
    line-height: 100px;
    text-align: center;
    font-size: 60px;
}

.about .cont2 .child2
{
    font-size: 30px;
}

.about .cont3
{
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.about .cont3 p 
{
    color: rgb(75, 75, 75);
    font-size: 18px;
    height: 30px;
}

.about .cont3 h2 
{
    font-size: 22px;
    font-style: normal;
    color: black;
}

/* skills section here */
.skill
{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 50px 100px 100px;
    background-color: rgb(230, 210, 178);
}

.skill h2 
{
    font-size: 40px;
    text-transform: capitalize;
}

.box-cont
{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 50px;
    padding: 50px;
    margin-top: 70px;
    background-color: rgb(203, 252, 104);
    border-radius: 50px;
}

.box
{
    position: relative;
    cursor: pointer;
}

.box .text
{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    text-align: center;
    color: rgb(2, 23, 33);
}

.box .text h2
{
    font-size: 38px;
    font-weight: 400;
    letter-spacing: 1px;
}

.box .text h3 
{
    font-size: 18px;
    display: block;
    color: rgb(26, 24, 24);
}

.circle
{
    width: 200px;
    height: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.circle .points
{
    width: 3px;
    height: 15px;
    background: rgb(185, 209, 138);
    position: absolute;
    border-radius: 3px;
    transform: rotate(calc(var(--i)*var(--rot))) translateY(-100px);
}

.points.marked
{
    animation: glow 0.04s linear forwards;
    animation-delay: calc(var(--i)*0.05s);
}

@keyframes glow 
{
    0%{background: rgb(185, 209, 138);box-shadow: none;}
    100%{background: var(--bgColor);box-shadow: 0 0 10px var(--bgColor);}
}

/* project section here  */
.project
{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 100px;
}

.project h2 
{
    font-size: 40px;
    text-transform: capitalize;
    color: black;
}

.project .img-page
{
    width: 100%;
   display: flex;
   justify-content: center;
   flex-wrap: wrap;
   gap: 40px;
   margin-top: 70px;
}

.project .img-page .child
{
    width: 350px;
    height: 300px;
    background-color: rgb(129, 201, 201);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
}

.project .img-page .child img 
{
    width: 300px;
    height: 200px;
    cursor: pointer;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.project .img-page .child img:hover 
{
    opacity: 50%;
    box-shadow: 1px 1px 15px rgb(170, 170, 169);
    transition: 1s;
}

.project .img-page .child a 
{
    text-decoration: none;
    font-size: 18px;
    padding: 8px;
    color: black;
    border: 1px solid white;
    border-radius: 5px;
}

.project .img-page .child a:hover 
{
    box-shadow: 1px 1px 8px black;
    transition: .5s;
}

/* contact section here */
.contact
{
    padding: 50px 100px;
}
form 
{
    width: 100%;
    height: 400px;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    background-color: rgb(252, 234, 202);
    padding: 15px;
    border-top-right-radius: 5px;
    border-top-left-radius: 5px;
}

form h2 
{
    font-size: 36px;
    text-transform: capitalize;
    text-align: center;
    margin-left: 70px;
}

form .child
{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

form input
{
    width: 500px;
    height: 40px;
    border: none;
    outline: none;
    background-color: rgb(69, 70, 70);
    color: white;
    padding-left: 5px;
    margin-left: 30px;
    border-radius: 5px;
}

form input[type="message"]
{
    height: 80px;
    margin-left: 5px;
}


form input[type="submit"]
{
    width: 100px;
    height: 30px;
    border: none;
    outline: none;
    background-color: wheat;
    color: black;
    text-shadow: 1px -1px 1px white;
    box-shadow: 1px 1px 8px grey;
    font-size: 16px;
    border-radius: 5px;
    margin-left: 80px;
}

.fb-page
{
    position: absolute;
    top: 15px;
    right: 15px;
}

.fb-page img 
{
    height: 30px;
    width: 30px;
    border-radius: 50%;
}

/* footer section here */
footer
{
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: black;
    color: white;
    font-size: 20px;
    text-transform: capitalize;
    margin-top: 50px;
}


/* 1280px device screen  */
@media screen and (max-width:1280px) 
{
    body {max-width: 1280px;}
    section{padding: 90px;}
    .about{padding: 90px;}
    .skill{padding: 50px 90px 100px;}
    .project{padding: 90px;}
    .project .img-page{gap: 30px;}
    .project .img-page .child{width: 340px;}
    .contact{padding: 50px 90px;}
}

/* 1024px device screen  */
@media screen and (max-width:1024px) 
{
    body {max-width: 1024px;}
    header{padding: 15px 60px;}
    header .logo{flex: 20%;}
    header nav{flex: 80%;}
    section{padding: 50px;}
    section .text h1{font-size: 56px;}
    section .image img{width: 330px;height: 330px;}
    .about{padding: 50px;}
    .about .cont2 .child1{width: 600px;}
    .about .cont3 p {font-size: 16px;}
    .about .cont3 h2 {font-size: 20px;}
    .skill{padding: 50px;}
    .project{padding: 50px;}
    .project .img-page{gap: 30px;}
    .project .img-page .child{width: 280px;}
    .project .img-page .child img {width: 250px;height: 200px;}
    .contact{padding: 50px;}
}


/* 768px device screen  */
@media screen and (max-width:768px) 
{
    body {max-width: 768px;}
    header{padding: 15px 40px;}
    header .logo{flex: 18%;}
    header .logo img {width: 30px;height: 30px;}
    header nav{flex: 82%;}
    header nav a{font-size: 16px;}
    section{padding: 40px;flex-wrap: wrap;justify-content: center;gap: 40px; margin-top: 70px;}
    section .text{padding-top: 0px;}
    .about{padding: 40px;}
    .about .cont2{flex-wrap: wrap;justify-content: center;}
    .about .cont2 .child1{width: 600px;margin-bottom: 30px;}
    .about .cont2 .child1 h3{text-align: center;height: 50px;}
    .about .cont2 .child1 h3::after{display: none;}
    .about .cont2 .child1 p{text-align: center;}
    .about .cont3{flex-wrap: wrap;justify-content: center;gap: 40px;}
    .about .cont3 p {font-size: 18px;text-align: center;}
    .about .cont3 h2 {font-size: 22px;}
    .skill{padding: 40px;}
    .project{padding: 40px;}
    .project .img-page{gap: 30px;}
    .project .img-page .child{width: 300px;}
    .project .img-page .child img {width: 250px;height: 200px;}
    .contact{padding: 40px;}
}


/* 600px device screen  */
@media screen and (max-width:600px) 
{
    body {max-width: 600px;}
    header{padding: 15px 30px;}
    header nav{display: none;}
    header .overlay
{
    display: flex;
    height: 0%;
    width: 100%;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0, 0.9);
    opacity: 99%;
    overflow-y: hidden;
    transition: 0.5s;
}

header .overlay .closebtn {
    position: absolute;
    top: 25px;
    right: 36px;
    font-size: 40px;
    text-decoration: none;
  }

  header .overlay-content 
  {
    position: relative;
    top: 10%;
    width: 100%;
    text-align: center;
    margin-top: 30px;
    display: flex;
    flex-direction: column;
  }

  header .overlay a 
  {
    padding: 15px 0;
    text-decoration: none;
    text-transform: uppercase;
    font-size: 20px;
    color: white;
    transition: 0.3s;
  }

  header .overlay a:hover 
  {
    color: #f1f1f1;
  }

header .sm-bar 
{
    display: flex;
    font-size:30px;
    cursor:pointer; 
    color: black;
}

    section .text h1{font-size: 44px;}
   .about{padding: 30px;}
   .about .cont1 h2{font-size: 34px;}
    .skill{padding: 30px;}
    .skill h2{font-size: 34px;}
    .circle{width: 180px;height: 180px;}
    .project{padding: 30px;}
    .project h2{font-size: 34px;}
    .project .img-page{gap: 30px;}
    .project .img-page .child{width: 350px;}
    .project .img-page .child img {width: 300px;}
    .contact{padding: 30px;}
    .contact form h2{font-size: 34px;}
    form input{width: 300px;}
}


/* 425px device screen  */
@media screen and (max-width:425px) 
{
    body {max-width: 425px;}
    section .text h1{font-size: 34px;height: 60px;}
    section .text h3{font-size: 26px;}
   .about{padding: 20px;margin-top: 50px;}
   .about .cont1 h2{font-size: 28px;}
   .about .cont2 .child1 h3{font-size: 24px;}
   .about .cont2 .child1 h3 b{font-size: 26px;}
    .skill{padding: 20px;margin-top: 50px;}
    .box-cont{margin-top: 30px;}
    .skill h2{font-size: 28px;}
    .project{padding: 20px;margin-top: 50px;}
    .project h2{font-size: 28px;}
    .project .img-page{margin-top: 30px;}
    .contact{padding: 20px;}
    .contact form h2{font-size: 28px;margin-left: 0px;}
    form input{width: 230px;}
}


/* 375px device screen  */
@media screen and (max-width:375px) 
{
    body {max-width: 375px;}
    section .text h1{font-size: 34px;height: 100px;line-height: 50px;text-align: center;}
}


/* 320px device screen  */
@media screen and (max-width:320px) 
{
    body {max-width: 320px;}
    header{padding: 15px}
    section .text h1{font-size: 30px;height: 80px;line-height: 40px;}
    section .text h3{font-size: 22px;}
    section .image img{width: 300px;height: 300px;}
   .about{padding: 15px;}
   .about .cont1 h2{font-size: 26px;}
   .about .cont2 .child1 h3{font-size: 22px;}
   .about .cont2 .child1 h3 b{font-size: 24px;}
    .skill{padding: 15px;}
    .skill h2{font-size: 26px;}
    .project{padding: 15px;}
    .project h2{font-size: 26px;}
    .project .img-page .child{width: 300px;}
    .project .img-page .child img{width: 260px;}
    .contact{padding: 15px;}
    form input{width: 200px;}
    .contact form h2{font-size: 26px;}
    footer{font-size: 18px;}
}
